summaryrefslogtreecommitdiff
path: root/help/C/password.page
diff options
context:
space:
mode:
authorJeremy Bicha <jbicha@debian.org>2017-12-16 13:06:04 -0500
committerJeremy Bicha <jbicha@debian.org>2017-12-16 13:06:04 -0500
commitc5fd821cd582b8d8df624e42c7722a5843ace911 (patch)
tree571f12c78d287f4c365cda1fb980117176d1167c /help/C/password.page
parentUpdate Vcs fields for conversion to git (diff)
parentNew upstream version 3.26.0 (diff)
downloadzenity-c5fd821cd582b8d8df624e42c7722a5843ace911.tar.gz
zenity-c5fd821cd582b8d8df624e42c7722a5843ace911.tar.bz2
zenity-c5fd821cd582b8d8df624e42c7722a5843ace911.zip
Update upstream source from tag 'upstream/3.26.0'
Update to upstream version '3.26.0' with Debian dir 7b9bef2d6e33af30991a3e59a1c70875d7aa58e2
Diffstat (limited to 'help/C/password.page')
-rw-r--r--help/C/password.page50
1 files changed, 50 insertions, 0 deletions
diff --git a/help/C/password.page b/help/C/password.page
new file mode 100644
index 00000000..ed062a32
--- /dev/null
+++ b/help/C/password.page
@@ -0,0 +1,50 @@
+<page xmlns="http://projectmallard.org/1.0/"
+ type="topic"
+ id="password">
+ <info>
+ <link type="guide" xref="index#dialogs"/>
+ <desc>Use the <cmd>--password</cmd> option.</desc>
+ </info>
+ <title>Password Dialog</title>
+ <p>
+ Use the <cmd>--password</cmd> option to create a password entry dialog.
+ </p>
+ <p>
+ The password entry dialog supports the following options:
+ </p>
+
+ <terms>
+ <item>
+ <title><cmd>--username</cmd></title>
+ <p>Display the username field.</p>
+ </item>
+ </terms>
+
+ <p>
+ The following example script shows how to create a password entry dialog:
+ </p>
+
+<code>
+#!/bin/sh
+
+ENTRY=`zenity --password --username`
+
+case $? in
+ 0)
+ echo "User Name: `echo $ENTRY | cut -d'|' -f1`"
+ echo "Password : `echo $ENTRY | cut -d'|' -f2`"
+ ;;
+ 1)
+ echo "Stop login.";;
+ -1)
+ echo "An unexpected error has occurred.";;
+esac
+</code>
+
+ <figure>
+ <title>Password Entry Dialog Example</title>
+ <desc><app>Zenity</app> password entry dialog example</desc>
+ <media type="image" mime="image/png" src="figures/zenity-password-screenshot.png"/>
+ </figure>
+
+</page>
bgstack15